Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Part Status Moisture Sensitivity Level (MSL) Connector Type Termination Color Gender Length RoHS Status Lead Free Voltage - Rated Package / Case REACH SVHC Height Width Impedance Resistance Weight Operating Temperature Lead Length Shielding Connector Type A Connector Type B Number of Outputs Feature Voltage - Output 1 Style Cable Length Wire/Cable Type Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
02Y7474#0500 02Y7474#0500 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RF179-72RP2-72RP2-0153 RF179-72RP2-72RP2-0153 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CT2418-100-6 CT2418-100-6 Cal Test Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 5 Weeks Cal Test Active Not Applicable Blue Male to Male 39.4 1.0m 3.3' ROHS3 Compliant 75Ohm 0°C~50°C BNC to BNC 2GHz BNC Male Plug BNC Male Plug
CT2417-100-4 CT2417-100-4 Cal Test Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 5 Weeks Active Not Applicable Yellow Male to Male 39.4 1.0m 3.3' ROHS3 Compliant 50Ohm BNC to BNC 2GHz BNC Male Plug BNC Male Plug
CT2417-200-4 CT2417-200-4 Cal Test Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 5 Weeks Active Not Applicable Yellow Male to Male 78.7 2.0m 6.6' ROHS3 Compliant 50Ohm 0°C~50°C BNC to BNC 2GHz BNC Male Plug BNC Male Plug
CBLRF8R CBLRF8R Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Obsolete Not Applicable Non-RoHS Compliant SMA
A-3200-1700 A-3200-1700 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Obsolete Not Applicable RoHS Compliant 1 9V
CBLDP241 CBLDP241 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Cable Bulk Obsolete Not Applicable 101.6mm RoHS Compliant Lead Free
4803 4803 Keithley 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
095-902-476M075 095-902-476M075 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks 2017 Active Not Applicable Male to Male 29.53 750.00mm RoHS Compliant SMA to SMA 750mm 6GHz SMA Male Plug, Right Angle SMA Male Plug LMR 195
F6-12B F6-12B TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Cable 2004 F Active Not Applicable Black Male to Male 144.0 3.7m 12.0' RoHS Compliant 73Ohms Plug Plug Shielded F-Type to F-Type F-Type Male Plug F-Type Male Plug RG-6
62-060-1M 62-060-1M TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 62 Obsolete Not Applicable Black Male to Male 60.0 1.5m 5.0' RoHS Compliant Molded 93Ohms 80°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-62
F6-100W F6-100W TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Cable F Active Not Applicable White Male to Male 1200.0 30.5m 100.0' RoHS Compliant 100 73Ohms Plug Plug Shielded F-Type to F-Type F-Type Male Plug F-Type Male Plug RG-6
RFC-1532 RFC-1532 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1325 RFC-1325 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1922 RFC-1922 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
S1L29BFS10060 S1L29BFS10060 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Cable 2014 Active 1 (Unlimited) Male to Male 60.0 1.5m 5.0' RoHS Compliant 50Ohms -65°C~200°C Shielded SMA to SMA 18GHz SMA Male Plug SMA Male Plug LA 290
N1L29BFN10024 N1L29BFN10024 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Cable 2014 Active 1 (Unlimited) Male to Male 24.00 609.60mm RoHS Compliant 50Ohms -65°C~200°C Shielded N-Type to N-Type 18GHz N Male Plug N Male Plug LA 290
N1L29BFN1060 N1L29BFN1060 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Active 1 (Unlimited) Male to Male 60.0 1.5m 5.0' RoHS Compliant 50Ohm -65°C~200°C Shielded N-Type to N-Type 18GHz N Male Plug N Male Plug LA 290
2121-DKF-0018 2121-DKF-0018 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks 2012 DKT Active 1 (Unlimited) Grey Male to Male 18.00 457.20mm RoHS Compliant SMA Unknown 50Ohm 50Ohm -65°C~200°C Plug, SMA Plug, SMA Shielded SMA to SMA 457.2mm Coaxial 26GHz SMA Male Plug SMA Male Plug HP 190S Male
2122-DKF-0048 2122-DKF-0048 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks 2012 DKT Active 1 (Unlimited) Grey Male to Male 48.0 1.2m 4.0' RoHS Compliant SMA Unknown 50Ohm 50Ohm -65°C~200°C Plug, SMA Plug, SMA Shielded SMA to SMA 1.2192m Coaxial 26GHz SMA Male Plug SMA Male Plug, Right Angle HP 190S Male
BU-5050-B-24-0 BU-5050-B-24-0 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 3 Weeks Cable 2007 Active 1 (Unlimited) Black Male to Male 24.00 609.60mm RoHS Compliant 500V 6.35mm 203.2mm 50Ohms 72.574779g 600mm Shielded BNC, Plug BNC, Plug Shielded BNC to BNC 6m Coaxial BNC Male Plug BNC Male Plug RG-58C Male Male
CX040PC2RG060N CX040PC2RG060N TE Connectivity Aerospace, Defense and Marine 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 18 Weeks 2011 Active Non-RoHS Compliant
CBA-TNCF-SMAM CBA-TNCF-SMAM RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2012 Active Not Applicable Black Female to Male 7.874 200.00mm RoHS Compliant SMA 50Ohms Plug, SMA TNC SMA to TNC SMA Male Plug TNC Female Jack RG-174
CBA-UFLSMA20 CBA-UFLSMA20 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 12 Weeks 2015 Active Not Applicable Copper Female to Female 7.874 200.00mm RoHS Compliant 50Ohm SMA Coaxial, Plug, Socket U.FL (UMCC) to SMA 6GHz SMA Female Jack U.FL (UMCC) Plug, Female Socket, Right Angle
CBA-SMAMRP-NM1 CBA-SMAMRP-NM1 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2014 Active 1 (Unlimited) Black Female to Male 39.4 1.0m 3.3' RoHS Compliant 50Ohm Male Pin, SMA Plug Shielded RP-SMA to N-Type 6GHz RP-SMA Male Plug, Female Socket N Male Plug RG-58
SLUXF18-SMSM-03.00F SLUXF18-SMSM-03.00F Amphenol Times Microwave Systems 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 6 Weeks SilverLine® XF Active 1 (Unlimited) Male to Male 36.00 914.40mm RoHS Compliant 50Ohms -55°C~125°C SMA to SMA 18GHz SMA Male Plug SMA Male Plug
CASMA-UFL-50 CASMA-UFL-50 Multi-Tech Systems Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks 2013 Active Not Applicable Gray Female to Female 8.000 203.20mm ROHS3 Compliant Lead Free SMA U.FL (UMCC) to SMA SMA Female Jack U.FL (UMCC) Plug, Female Socket, Right Angle
CARSMA-UFL-50 CARSMA-UFL-50 Multi-Tech Systems Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks 2015 Active Not Applicable ROHS3 Compliant SMA
CASMA-UFL-10 CASMA-UFL-10 Multi-Tech Systems Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Bulk 2012 Active 1 (Unlimited) Cable, Coaxial Lug Gray Female to Female 8.000 203.20mm ROHS3 Compliant Lead Free SMA U.FL (UMCC) to SMA SMA Female Jack U.FL (UMCC) Plug, Female Socket, Right Angle
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support